// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * A paren nested fragment
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class ParensFragment extends NestedFragment {
    private void init () {
	left  = "(";
	right = ")";
	templateGeneratorName = "processParens";
	nestedMatcherName     = "matchParens";
	partMatcherName       = "matchListPart";
	strictPartMatcherName = "matchListPartStrict";
    }
    public ParensFragment(FragmentList children) {
	super(children); init();
	leftToken  = makeToken(JavaTokenTypes.LPAREN, "(");
	rightToken = makeToken(JavaTokenTypes.RPAREN, ")");
    }
    public ParensFragment(Token left, FragmentList children, Token right) {
	super(children); init();
	leftToken  = left;
	rightToken = right;
    }
}

