// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * A punctuation fragment representing a Java semicolon token
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class SemicolonFragment extends SeparatorFragment {
    public SemicolonFragment() { 
	super(";"); templateGeneratorName = "substituteSemicolon"; 
	matcherName = "matchSemicolon"; 
	token = makeToken(JavaTokenTypes.SEMI, ".");
    }   
    public SemicolonFragment(Token t) { 
	super(t); templateGeneratorName = "substituteSemicolon"; 
	matcherName = "matchSemicolon"; 
    }   
    void pprint(PrettyStream p, int depth, boolean isCode) {
	super.pprint(p, depth, isCode);
	pprintln(p, depth);
    }
    void pprinte(PrettyStream p, int depth, boolean isLast, boolean isCode) { 
	pprint(p, depth, isCode);
	// p.print("Y");
    }
    void lprint(PrettyStream p, int depth, boolean isCode) {
	super.lprint(p, depth, isCode); 
    }
    void lprinte(PrettyStream p, int depth, boolean isLast, boolean isCode) { 
	lprint(p, depth, isCode);
	if (!isLast && !p.atBeginning) // need for separator?
	    p.print(" ");
	// p.print("Y");
    }
    public Fragment compileTemplate(int depth) { 
	return compileSpecialTemplate(depth); 
    }
    public boolean isTerminator () {
	return true;
    }
}

